Package org.apache.tools.ant.taskdefs

# Class Local

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.Local

All Implemented Interfaces:
  `Cloneable`

public class Local extends Task
Task to create local properties in the current scope.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Local.Name`
  Nested `name` element.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Local()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Local.Name`
  `createName()`
  Create a nested `name` element.
  `void`
  `execute()`
  Run the task.
  `void`
  `setName(String name)`
  Set the name attribute.

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Local

    public Local()

- ## Method Details

  - ### setName

    public void setName(String name)
    Set the name attribute.
    Parameters:
      `name` - the name of the local property.

  - ### createName

    public Local.Name createName()
    Create a nested `name` element.
    Returns:
      `Local.Name`
    Since:
      Ant 1.10.13

  - ### execute

    public void execute()
    Run the task.
    Overrides:
      `execute` in class `Task`